Subject: Re: [bug#67512] [PATCH v4 3/4] gnu: Add wasm packages.

From: Mark H Weaver <[email-masked]>
Date: Fri, 16 Feb 2024 16:48:55 -0500

Clément Lassieur <[email-masked]> writes:

> On Tue, Feb 13 2024, Ian Eure wrote:
>
>> D. Fold the new (gnu packages wasm) into (gnu packages librewolf). This is the
>> only place they’re used, but it sounds like there’s desire to port some of the
>> other firefoxen to this stuff, so probably not a good long-term option.
>
> Does Librewolf depend on the Wasm packages more than the other Firefox
> based browsers?  My point is that if your Librewolf package is
> independent from the Wasm packages, they can be split and reviewed
> independently.
>
> That would make the Librewolf review shorter and easier, and the Wasm
> review more consistent and easy to test.  Also, adding Wasm to our
> Firefox based browsers would be a one-shot.  (Of course it doesn't have
> to be included in Icecat, but I think it would be great to have it in
> ‘make-torbrowser’.)

I'd like to have support for Wasm sandboxed libraries in IceCat as well.

     Thanks,
       Mark